package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 5 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '
' );
#line 6 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp(   '/util/import_javascript.mas', classes => [ 'jquery', 'jquery.dataTables' ]   
); #line 6 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '
' );
#line 7 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp(   '/util/import_css.mas', paths => ['/documents/inc/datatables/jquery.dataTables.css']   
); #line 7 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

' );
#line 9 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp(   '/page/page_title.mas', title=>'Accession Usage'   
); #line 9 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

' );
#line 11 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp( { content => sub {
#line 11 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

<table id="accession_usage_trials" width="100%" class="table table-hover table-striped">
<thead>
  <tr>
    <th>Accession Name</th>
    <th>Number of Trials</th>
    <th>Total Number of Plots</th>
  </tr>
</thead>
</table>

' );
#line 23 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
} }, '/page/info_section.mas', title => 'Accession Usage for Trials', collapsible=>1, collapsed=>1
 );
#line 23 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

' );
#line 25 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp( { content => sub {
#line 25 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

<table id="accession_usage_female" width="100%" class="table table-hover table-striped">
<thead>
  <tr>
    <th>Accession Name</th>
    <th>Number of Progenies</th>
  </tr>
</thead>
</table>
<a href="/search/download_parents_and_numbers_of_progenies?parent_type=female_parent" class="btn btn-sm btn-default">Download</a>

' );
#line 37 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
} }, '/page/info_section.mas', title => 'Accession Usage as Female Parent', collapsible=>1, collapsed=>1
 );
#line 37 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

' );
#line 39 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp( { content => sub {
#line 39 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

<table id="accession_usage_male" width="100%" class="table table-hover table-striped">
<thead>
  <tr>
    <th>Accession Name</th>
    <th>Number of Progenies</th>
  </tr>
</thead>
</table>
<a href="/search/download_parents_and_numbers_of_progenies?parent_type=male_parent" class="btn btn-sm btn-default">Download</a>

' );
#line 51 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
} }, '/page/info_section.mas', title => 'Accession Usage as Male Parent', collapsible=>1, collapsed=>1
 );
#line 51 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

' );
#line 53 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->comp( { content => sub {
#line 53 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

<div class="well">
    <div class="panel panel-default">
        <div class="panel-body">

            <table id="accession_usage_phenotypes" class=\'table table-bordered table-hover\'>
                <thead>
                    <tr>
                        <th>Accession</th>
                        <th>Observation Variable</th>
                        <th>Mean</th>
                        <th>Min</th>
                        <th>Max</th>
                        <th>Std Dev</th>
                        <th>CV</th>
                        <th>Count</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</div>

' );
#line 79 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
} }, '/page/info_section.mas', title => 'Accession Phenotype Performace', collapsible=>1, collapsed=>0
 );
#line 79 "/home/production/cxgn/sgn/mason/stock/accession_usage.mas"
$m->print( '

<script>

jQuery(document).ready(function(){

  jQuery(\'#accession_usage_trials\').DataTable({

     \'ordering\' : false,
     \'ajax\':\'ajax/accession_usage_trials\'
  });


  jQuery(\'#accession_usage_female\').DataTable({

     \'ordering\' : false,
     \'ajax\':\'ajax/accession_usage_female\'
  });


  jQuery(\'#accession_usage_male\').DataTable({

     \'ordering\' : false,
     \'ajax\':\'ajax/accession_usage_male\'
  });

  var stock_table = jQuery(\'#accession_usage_phenotypes\').DataTable({
      \'destroy\' : true,
      \'searching\' : false,
      \'ordering\'  : false,
      \'processing\': true,
      \'serverSide\': true,
      \'lengthMenu\': [10,20,50,100,1000,5000],
      \'ajax\': { \'url\':  \'/ajax/accession_usage_phenotypes?display=plots_accession\' }
  });

});

</script>
' );
;return;
},
'load_time' => 1729569958,

)
;